%define upstream_name    Getopt-Lucid
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Clear, readable syntax for command line processing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exception::Class) >= 1.230.0
BuildRequires: perl(Exception::Class::TryCatch) >= 1.100.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Storable) >= 2.160.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
The goal of this module is providing good code readability and clarity of
intent for command-line option processing. While readability is a
subjective standard, Getopt::Lucid relies on a more verbose, plain-English
option specification as compared against the more symbolic approach of
Getopt::Long. Key features include:

* *

  Five option types: switches, counters, parameters, lists, and keypairs

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.60.0-3pclos2017
- rebuild against updates

